const express = require('express');
const router = express.Router();
const { getAllEventTypes, createEventType, updateEventType, deleteEventType } = require('../controllers/eventtypecontroller');
const authMiddleware = require('../middleware/authMiddleware')

router.get('/', getAllEventTypes);
router.post('/', authMiddleware, createEventType);
router.put('/:id', authMiddleware, updateEventType);
router.delete('/:id', authMiddleware, deleteEventType);

module.exports = router;
